// Beph 1.0v2
// Vikram Kulkarni
// Beph.h

#ifndef _BEPH_H_
#define _BEPH_H_

#include <Application.h>
#include <stdlib.h>
#include "TPreferences.h"
#include "StringControl.h"
#include "BephWindow.h"

sem_id			prefs_lock;
TPreferences	*prefs;

//class Beph;

// This class creates the main window, the
// settings window, and the about box. It also
// reads in the settings from the prefs file
// when the program is launched.
class Beph : public BApplication
{
	public:
		Beph();
		void MessageReceived(BMessage *msg);
		virtual void AboutRequested();
		virtual bool QuitRequested();
		
	private:
		char 			*default_server;
		BephWindow		*myWindow;
};
#endif
