// Beph 1.0v2
// Vikram Kulkarni
// BephNet.h

#ifndef _BEPHNET_H_
#define _BEPHNET_H_

#include <NetKit.h>
#include <AppKit.h>
#include <string.h>

//class BephNet;

// This class does all of the network transactions.
class BephNet : public BLooper
{
	public:
		BephNet(char *Server, BWindow *Window, BLooper *BephParser);
		void MessageReceived(BMessage *msg);
		~BephNet();
	
	private:
		char		*server; // ph server
		
		BWindow		*win; // parent window AND where to send errors
		BLooper		*parser; // where to send the servers reply to be cleanedup
		
		int			phPort; // set to 105 in constructor
		int			phsocket; // ph socket descriptor
		int			ConnectToServer(); // opens socket and connects to server
		void		Query(const char *command, const bool return_all, const bool alias_equals);
					// sends query text to server
					// if return_all is true it appends 'return all' to the
					// end of the command
};

#endif