// Beph 1.0v2
// Vikram Kulkarni
// BephParser.h

#ifndef _BEPHPARSER_H_
#define _BEPHPARSER_H_

#include <AppKit.h>
#include <stdio.h>
#include <string.h>
#include <stdlib.h>


//class BephParser;

// BephParser simply removes the servers
// reply by removing the reply codes from
// the begining
class BephParser : public BLooper
{
	public:
		BephParser(BWindow *Window);
		void MessageReceived(BMessage *msg);
	
	private:
		BWindow		*win; // where to send text after cleaning
		
		int			line_number; // line number of current server_reply
		int			last_reply_number; // counts the number of entries returned
		
		char 		*RemovePhCodes(const char *unparsed);
};

#endif